echo "Lokal:"

openssl verify -CAfile class1.crt OCSP-1.crt
openssl verify -CAfile class3.crt OCSP-3.crt

echo "Produktion:"

openssl ocsp -CAfile ca.bundle -url http://ocsp.cacert.org/ -issuer class1.crt -cert OCSP-1.crt -text >OCSP-1.txt
openssl ocsp -CAfile ca.bundle -url http://ocsp.cacert.org/ -issuer class1.crt -cert class3.crt -text >OCSP-2.txt
openssl ocsp -CAfile ca.bundle -url http://ocsp.cacert.org/ -issuer class3.crt -cert OCSP-3.crt -text >OCSP-3.txt

grep Status OCSP-*.txt ; rm OCSP-*.txt

#echo "OpenValidation:"
#openssl ocsp -url http://ocsp.openvalidation.org:8090/ -issuer class1.crt -VAfile OpenValidationOCSPServer.pem -text -cert OCSP-1.crt >OCSP-1.txt
#grep Status OCSP-1.txt
#vi OCSP-1.txt

echo "Test1:"
openssl ocsp -CAfile ca.bundle -url http://ocsp.test1.cacert.at/ -issuer class1.crt -cert OCSP-1.crt -text >OCSP-1.txt
openssl ocsp -CAfile ca.bundle -url http://ocsp.test1.cacert.at/ -issuer class1.crt -cert class3.crt -text >OCSP-2.txt
openssl ocsp -CAfile ca.bundle -url http://ocsp.test1.cacert.at/ -issuer class3.crt -cert OCSP-3.crt -text >OCSP-3.txt

grep Status OCSP-*.txt ; rm OCSP-*.txt

#openssl ocsp -url http://ocsp.cacert.org/ -issuer class1.crt -cert class1.crt -text

#openssl ocsp -url http://ocsp.cacert.org:2560/ -issuer class1.crt -cert root.crt -text

#OpenValidationOCSPServer.pem
#OpenValidationRootCAcert.pem
